
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_offerpricers_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for BeforeOrAfterListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="BeforeOrAfterListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Before"/&amp;gt;
 *     &amp;lt;enumeration value="After"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "BeforeOrAfterListType")
@XmlEnum
public enum BeforeOrAfterListType {

    @XmlEnumValue("Before")
    BEFORE("Before"),
    @XmlEnumValue("After")
    AFTER("After");
    private final String value;

    BeforeOrAfterListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static BeforeOrAfterListType fromValue(String v) {
        for (BeforeOrAfterListType c: BeforeOrAfterListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
